M_ActivityDBFMissionCFG = {}

function M_ActivityDBFMissionCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_ActivityDBFMissionCFG:init()
	self.datas = {}
	self.datas[1] = {ID = 1, Name = "龙王传说场获得500魔石", CompleteType = 53, CompleteParam = 28, CompleteCount = 500, RewardItem = {1,156}, RewardQuantity = {20000,10}, GoType = 8}
	self.datas[2] = {ID = 2, Name = "龙王传说场获得2000魔石", CompleteType = 53, CompleteParam = 28, CompleteCount = 2000, RewardItem = {1,156}, RewardQuantity = {20000,15}, GoType = 8}
	self.datas[3] = {ID = 3, Name = "龙王传说场获得8000魔石", CompleteType = 53, CompleteParam = 28, CompleteCount = 8000, RewardItem = {1,156}, RewardQuantity = {20000,15}, GoType = 8}
	self.datas[4] = {ID = 4, Name = "龙王传说场获得15000魔石", CompleteType = 53, CompleteParam = 28, CompleteCount = 15000, RewardItem = {1,156}, RewardQuantity = {50000,20}, GoType = 8}
	self.datas[5] = {ID = 5, Name = "龙王传说场获得50000魔石", CompleteType = 53, CompleteParam = 28, CompleteCount = 50000, RewardItem = {1,156}, RewardQuantity = {100000,30}, GoType = 8}
end

M_ActivityDBFMissionCFG:init()
